Package org.eclipse.birt.chart.computation

# Class LegendEntryRenderingHints

java.lang.Object
org.eclipse.birt.chart.computation.LegendEntryRenderingHints

public class LegendEntryRenderingHints extends Object

## Constructor Summary

Constructors
Constructor
Description
`LegendEntryRenderingHints(Label la, Label valueLa, int dataIndex, Fill fill)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDataIndex()`
`Fill`
`getFill()`
`Label`
`getLabel()`
`Label`
`getValueLabel()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegendEntryRenderingHints

public LegendEntryRenderingHints(Label la, Label valueLa, int dataIndex, Fill fill)

## Method Details

### getLabel

public Label getLabel()

### getValueLabel

public Label getValueLabel()

### getDataIndex

public int getDataIndex()

### getFill

public Fill getFill()